package it.pf.access.builder;

import it.pf.base.ConfigSingletonDefaultSetup;
import it.pf.base.ObjectBean;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.InputStream;

public class Initialize {

	public Initialize() {
		InputStream fis;
		try {
			fis = new FileInputStream(new File("config.xml"));
			ConfigSingletonDefaultSetup setupConfig = new ConfigSingletonDefaultSetup(fis);
			ObjectBean config = setupConfig.getConfig();
		} catch (FileNotFoundException e) {
			e.printStackTrace();
			ObjectBean config = null;
			System.out.println("*** Impossibile proseguire: manca il file di configurazione config.xml!");
			System.exit(9);
		}				
	}
}
