package it.pf.access.builder;

import java.io.File;
import javax.swing.*;
import javax.swing.filechooser.*;

/* ImageFilter.java is used by FileChooserDemo2.java. */
public class MDBFilter extends FileFilter {

    public boolean accept(File f) {
        if (f.isDirectory()) {
            return true;
        }

        if (f.getName().endsWith("mdb")	)
        	return true;
        else 
        	return false;
    }

    //The description of this filter
    public String getDescription() {
        return "mdb files";
    }
}