package it.eng.handlers;

import it.eng.utils.PasswordUtils;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.Properties;
import java.util.PropertyResourceBundle;
import java.util.ResourceBundle;

import javax.security.auth.callback.Callback;
import javax.security.auth.callback.CallbackHandler;
import javax.security.auth.callback.UnsupportedCallbackException;

import org.apache.ws.security.WSPasswordCallback;


public class PWCallbackClient implements CallbackHandler {
    public void handle(Callback[] callbacks) throws IOException, UnsupportedCallbackException {
    	String user;
    	String password;
        for (int i = 0; i < callbacks.length; i++) {
            if (callbacks[i] instanceof WSPasswordCallback) {
                WSPasswordCallback pc = (WSPasswordCallback)callbacks[i];
                
                PropertyResourceBundle b=(PropertyResourceBundle)ResourceBundle.getBundle("mandatoWS");
                
                
                
                // set the password given a username
                //Properties props = new Properties();
    	        //props.load(new FileInputStream("mandatoWS.properties"));

    	        //String WSUserName = props.getProperty("WS_USERNAME");
    	        //String WSPassword = props.getProperty("WS_PASSWORD");
    	        
                String WSUserName=b.getString("WS_USERNAME");
                String WSPassword=b.getString("WS_PASSWORD");
                
    	        
    	        
    	        
    	        //System.out.println("pc.getIdentifer() ="+pc.getIdentifer());
    	        //System.out.println("WSUserName ="+WSUserName);
    	        //System.out.println("WSPassword ="+WSPassword);
    	        
    	        if (WSUserName.equals(pc.getIdentifer())) {
                    pc.setPassword(PasswordUtils.encriptSHA1Hex(WSPassword));
                	//pc.setPassword("BBBB");
                	//pc.setPassword(password);
                	
                }
 
            } else {
                throw new UnsupportedCallbackException(callbacks[i], "Unrecognized Callback!!!!!!!!!");
            }
        }
        
    }
 

	
}