package it.eng.test;


import java.math.BigDecimal;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;


import it.eng.bean.fascicoloInterno2.xsd.ConduzioneParticellaType;
import it.eng.bean.fascicoloInterno2.xsd.ConduzioniTerreniType;
import it.eng.bean.fascicoloInterno2.xsd.ContrattoType;
import it.eng.bean.fascicoloInterno2.xsd.DatiAziendaType;
import it.eng.bean.fascicoloInterno2.xsd.FascicoloInternoSiar2Response;
import it.eng.bean.fascicoloInterno2.xsd.ParticellaType;
import it.eng.bean.fascicoloInterno2.xsd.StatoAziendaType;
import it.eng.bean.fascicoloInterno2.xsd.UnitaVitataType;
import it.eng.client.servizi.FascicoloInternoPortTypeProxy;


public class TestStatoAzienda {


	public static void testGetStatoAzienda(String cuaa) {
		FascicoloInternoPortTypeProxy proxy = new FascicoloInternoPortTypeProxy();
		try {
			//per lo sviluppo		 

			proxy.setEndpoint("http://127.0.0.1:8080/mandatoWS/services/FascicoloInterno.FascicoloInternoHttpSoap11Endpoint");
			//proxy.setEndpoint("http://agritest.regione.emilia-romagna.it/MandatoWST/services/SignOn.SignOnHttpSoap11Endpoint");
			//per il test
			//proxy.setEndpoint("http://agritest.regione.emilia-romagna.it/MandatoWST/"+
			//		"services/FascicoloInterno.FascicoloInternoHttpSoap11Endpoint");
			// per la produzione
			// proxy.setEndpoint("http://agriservizi.regione.emilia-romagna.it/MandatoWS/"+
			//		"services/FascicoloInterno.FascicoloInternoHttpSoap11Endpoint");
			
			//FascicoloInternoSiar2Response response = proxy.getFascicolo2("FASCICOLO_INTERNO_V2_REP", "02149280394");			
			FascicoloInternoSiar2Response response = proxy.getFascicolo2("FASCICOLO_INTERNO_V2_REP", cuaa);
						
			StatoAziendaType statoAzienda = response.getStatoAzienda();
			
			String aziendaPresente = statoAzienda.getAziendaPresente();
						
			
			String aziendaValidata=null;
			String dataValidazione = null;
			String aziendaIscrittatCaa=null;
			
			if(aziendaPresente.equalsIgnoreCase("true")){
				//azienda presente in anagrade
				aziendaValidata = statoAzienda.getAziendaValidata();
				aziendaIscrittatCaa = statoAzienda.getAziendaIscrittaCaa();
				if(aziendaValidata.equalsIgnoreCase("true")){
					dataValidazione = statoAzienda.getDataValidazione();
					System.out.println("Azienda con cuaa "+cuaa+" presente e validata in anagrafe");					
				}else	
					System.out.println("Azienda con cuaa "+cuaa+" non validata");
				
				if(aziendaIscrittatCaa.equalsIgnoreCase("true"))
					System.out.println("Azienda con cuaa "+cuaa+" iscritta a CAA in data "+statoAzienda.getDataIscrizioneCaa());
			}else
				System.out.println("Azienda con cuaa +"+cuaa+" non presente in anagrafe");
			

		} catch (Exception e) {
			e.printStackTrace();
		}		
	}
	

	
  	public static void main(String[] args) { 
  		
  		
  		System.out.println("inizio :"+System.currentTimeMillis());
  		//testGetAziendeModificate();
  		//testGetFascicolo();
  		testGetStatoAzienda("02149280394");
  		//teststatoAzienda();
  		System.out.println("fine :"+System.currentTimeMillis());
	}
}
