package it.eng.utils;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

public class DateUtil {
	
	//prima
	public static boolean isBefore(String dtInizio, String sysdate) {
			
			Date dataControllare = null;
			try {
				dataControllare = new SimpleDateFormat("dd/MM/yyyy").parse(dtInizio);
			} catch (ParseException e) {
				e.printStackTrace();
			}
			
			Date dataFiltro = null;
			try {
				dataFiltro = new SimpleDateFormat("dd/MM/yyyy").parse(sysdate);
			} catch (ParseException e) {
				e.printStackTrace();
			}
					
			boolean res = dataControllare.before(dataFiltro);
			//System.out.println("isBefore :"+res+ " --"+dtInizio +" ---- "+sysdate);
			
			return res;
			
		
		}


	public static boolean isAfter(String dtInizio, String sysdate) {
		
		Date dataControllare = null;
		try {
			dataControllare = new SimpleDateFormat("dd/MM/yyyy").parse(dtInizio);
		} catch (ParseException e) {
			e.printStackTrace();
		}
		
		Date dataFiltro = null;
		try {
			dataFiltro = new SimpleDateFormat("dd/MM/yyyy").parse(sysdate);
		} catch (ParseException e) {
			e.printStackTrace();
		}
		boolean res = dataControllare.after(dataFiltro);
		//System.out.println("after :"+res+ " --"+dtInizio +" ---- "+sysdate);
		
		return res;
		

	}
	
	
	
	public static boolean isEquals(String dtInizio, String sysdate) {
		
		Date dataControllare = null;
		try {
			dataControllare = new SimpleDateFormat("dd/MM/yyyy").parse(dtInizio);
		} catch (ParseException e) {
			e.printStackTrace();
		}
		
		Date dataFiltro = null;
		try {
			dataFiltro = new SimpleDateFormat("dd/MM/yyyy").parse(sysdate);
		} catch (ParseException e) {
			e.printStackTrace();
		}
		int res = dataControllare.compareTo(dataFiltro);
		//System.out.println("compare :("+res+ ")--"+dtInizio +" ---- "+sysdate);
		
		if(res ==0)
			return true;
		else return false;
		

	}
	

}
