/*
 * MailData.java
 *
 * Created on 26 aprile 2005, 15.46
 */

package it.pf.logging;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

/**
 *
 * @author filippo
 */
public class MailData {
    String to;
    String bcc;
    String cc;
    String body;
    String subject;
    /** Creates a new instance of MailData */
    public MailData() {
        //bcc = "";
        //cc = "";
        init();
    }
    /**
     * init
     */
    private void init() {
		Properties properties = new Properties();
		InputStream ftmp = NotifyImpl.class.getResourceAsStream("log.properties");
		try {
			properties.load(ftmp);
			to = properties.getProperty("to");
			bcc = properties.getProperty("bcc");
		} catch (IOException e) {
			to = "undefined";
			bcc = "undefined";
		}    	
    }
    
    public static MailData createSms(String subject, String body) {
        MailData lData = new MailData();
        //lData.to = "insert sms gateway here";
        lData.body = body;
        lData.subject = subject;
        return lData;
    }
    
    public static MailData createMail(String subject, String body) {
        MailData lData = new MailData();
        //lData.to = "insert e-mail address here";
        lData.body = body;
        lData.subject = subject;
        return lData;
    }
}
