package it.pf.scheduler;
import java.util.TimerTask;

/**
 * Rappresenta un task da schedulare
 * @author Fabbri_P
 *
 */
public class ScheduledTask extends TimerTask {
    protected Command cmd = null;
    protected String[] args = null;

	/**
	 * costruttore: interfaccia cmd e array di parametri
	 * @param cmd
	 * @param args
	 */
    public ScheduledTask(Command cmd,String[] args) {
		this.cmd = cmd;
        this.args = args;
    }

	/**
	 * implementazione del metodo di Interfaccia "Command"
	 */
    public void run() {
		cmd.run(args);
    }
}
