package it.pf.access.builder;

import java.io.File;
import javax.swing.*;
import javax.swing.filechooser.*;

/* ImageFilter.java is used by FileChooserDemo2.java. */
public class XLSFilter extends FileFilter {

    //Accept all directories and all gif, jpg, tiff, or png files.
    public boolean accept(File f) {
        if (f.isDirectory()) {
            return true;
        }

        if (f.getName().endsWith("xls"))
        	return true;
        else 
        	return false;
    }

    //The description of this filter
    public String getDescription() {
        return "xls files";
    }
}