package it.pf.access.builder;

import it.pf.dbaccess.DataRow;
import it.pf.dbaccess.DataSheet;

public class XLSProvider implements ListProvider {

	private DataSheet ds;
	
	public XLSProvider (String xlsfilename) {
		ds = new DataSheet(xlsfilename, 0);
	}
	
	public DataRow getRow(int i) {
		return ds.getRow(i);
	}

	public int size() {
		return ds.getRowSize();
	}

	public DataSheet getDs() {
		return ds;
	}

}
