package it.eng.client.servizi;

import org.apache.axis.EngineConfiguration;
import org.apache.axis.configuration.FileProvider;

public class FascicoloInternoPortTypeProxy implements it.eng.client.servizi.FascicoloInternoPortType {
  private String _endpoint = null;
  private it.eng.client.servizi.FascicoloInternoPortType fascicoloInternoPortType = null;
  
  public FascicoloInternoPortTypeProxy() {
    _initFascicoloInternoPortTypeProxy();
  }
  
  public FascicoloInternoPortTypeProxy(String endpoint) {
    _endpoint = endpoint;
    _initFascicoloInternoPortTypeProxy();
  }
  
  private void _initFascicoloInternoPortTypeProxy() {
    try {
    	EngineConfiguration config = new FileProvider("mandatoWS.wsdd");
      fascicoloInternoPortType = (new it.eng.client.servizi.FascicoloInternoLocator(config)).getFascicoloInternoHttpSoap11Endpoint();
      if (fascicoloInternoPortType != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)fascicoloInternoPortType)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)fascicoloInternoPortType)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (fascicoloInternoPortType != null)
      ((javax.xml.rpc.Stub)fascicoloInternoPortType)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public it.eng.client.servizi.FascicoloInternoPortType getFascicoloInternoPortType() {
    if (fascicoloInternoPortType == null)
      _initFascicoloInternoPortTypeProxy();
    return fascicoloInternoPortType;
  }
  
  public it.eng.bean.aziendeModificate.xsd.AziendeModificateResponse getAziendeModificate(java.lang.String descrMandato, java.lang.String dataRif) throws java.rmi.RemoteException{
    if (fascicoloInternoPortType == null)
      _initFascicoloInternoPortTypeProxy();
    return fascicoloInternoPortType.getAziendeModificate(descrMandato, dataRif);
  }
  
  public it.eng.bean.fascicoloInterno.xsd.FascicoloInternoSiarResponse getFascicolo(java.lang.String descrMandato, java.lang.String cuaa) throws java.rmi.RemoteException{
    if (fascicoloInternoPortType == null)
      _initFascicoloInternoPortTypeProxy();
    return fascicoloInternoPortType.getFascicolo(descrMandato, cuaa);
  }
  
  public it.eng.bean.codici.xsd.CodiciResponse getCodici(java.lang.String descrMandato) throws java.rmi.RemoteException{
    if (fascicoloInternoPortType == null)
      _initFascicoloInternoPortTypeProxy();
    return fascicoloInternoPortType.getCodici(descrMandato);
  }
  
  public it.eng.bean.fascicoloInterno2.xsd.FascicoloInternoSiar2Response getFascicolo2(java.lang.String descrMandato, java.lang.String cuaa) throws java.rmi.RemoteException{
    if (fascicoloInternoPortType == null)
      _initFascicoloInternoPortTypeProxy();
    return fascicoloInternoPortType.getFascicolo2(descrMandato, cuaa);
  }
  
  
}