package it.eng.fs.util.handlers;


import it.eng.fs.constant.LXConstants;

import java.io.IOException;
import javax.security.auth.callback.Callback;
import javax.security.auth.callback.CallbackHandler;
import javax.security.auth.callback.UnsupportedCallbackException;
import org.apache.ws.security.WSPasswordCallback;

/**
 * PWCallback for the Client
 */
public class PWCallback implements CallbackHandler {


	String user = LXConstants.USER_1;
	//String password ="ed8072aa42929d8696257ad899c74204485cad37";

    public void handle(Callback[] callbacks) throws IOException, UnsupportedCallbackException {
        for (int i = 0; i < callbacks.length; i++) {
            if (callbacks[i] instanceof WSPasswordCallback) {
                WSPasswordCallback pc = (WSPasswordCallback)callbacks[i];
                // set the password given a username
                 if (user.equals(pc.getIdentifer())) {
                    pc.setPassword(LXConstants.PASSWORD_1);  
                    //System.out.println("User: "+pc.getIdentifer() +" password: "+pc.getPassword());
                }
            } else {
                throw new UnsupportedCallbackException(callbacks[i], "Unrecognized Callback");
            }
        }
    }
} 

