package it.eng.utils;

import java.security.MessageDigest;

public class PasswordUtils {
	public static String userPasswSeparator="###";
	
	
	
    /**
     * esegue il crypting della password 
     * L'algoritmo utilizzato la funzione hash SHA-1 e trasformando ogni carattere dell'hashing in esadecimale
     * @param password
     */
  	public static synchronized String encriptSHA1Hex(String toEncript)  {

  		try {
  			    byte[] passwordB = utf8decode(toEncript);
  				MessageDigest messageDigester = MessageDigest.getInstance("SHA-1");

  				messageDigester.reset();
  				messageDigester.update(passwordB);

  				byte[] pwdEncB=messageDigester.digest();
  				String pwdEnc1=new String(pwdEncB);
  				String pwdEnc="";
  				
  				//trasforma la stringa ottenuta trasformando ogni carattere in esadecimale
  				for(int i=0; i<pwdEncB.length;i++){
  				    pwdEnc+=byteToHexWithZero(pwdEncB[i]);
  				}
  				return pwdEnc;
  			} catch (java.security.NoSuchAlgorithmException e) {
  				e.printStackTrace();
  			}
  			return null;
  	}
  	
     private static byte[] utf8decode(String input) {
  		// UTF-8 enc
  		byte[] ret = null;
  		try {
  			ret = input.getBytes("UTF-8");
  		} catch (java.io.UnsupportedEncodingException e) {
  			e.printStackTrace();
  		}
  		return ret;
  	}
     
     /**
  	 * Ritorna una stringa con la rappresentazione esadecimale (con 2 caratteri) del byte 
  	 * @param b
  	 * @return
  	 */
  	private static String byteToHexWithZero(byte b){
  	    int i = b & 0xFF;
  	    String s = Integer.toHexString(i);
  	    if(s.length()==1) s="0"+s;
  	    return s.toUpperCase();
  	}
}
