package it.pf.base;
import java.io.Serializable;

/**
 * elemento dell'ObjectBean &egrave; costituito da una 
 * chiave stringa e un valore oggetto con i rispettivi 
 * metodi get 
 * 
 * @author Fabbri_P
 */
public class ObjectBeanAttribute implements Serializable {

	private String _key;
	private Object _value;
	
	/**
	 * costruttore
	 * @param k
	 * @param v
	 */
	public ObjectBeanAttribute(String k,Object v) {
		_key = k;
		_value = v;
	}

	/**
	 * get key
	 * @return String
	 */
	public String get_key() {
		return _key;
	}
	
	/**
	 * get value
	 * @return Object
	 */
	public Object get_value() {
		return _value;
	}

	public void set_value(Object _value) {
		this._value = _value;
	}
	

}
