package it.pf.dbaccess;

public abstract class DataMapper {

	protected String _dateFormat = null;
	protected String _timestampFormat = null;

	public DataMapper() {
		
	}
	
	public DataMapper(String df, String tf) {
		_dateFormat = df;
		_timestampFormat = tf;
	}
	
	public String get_dateFormat() {
		return _dateFormat;
	}

	public void set_dateFormat(String format) {
		_dateFormat = format;
	}

	public String get_timestampFormat() {
		return _timestampFormat;
	}

	public void set_timestampFormat(String format) {
		_timestampFormat = format;
	}

	public abstract Object mapTypesAsObject(int _sqlType, int _scale, Object value);
	
	public abstract String mapTypesAsString(int _sqlType, Object value);
	
	public abstract String mapTypesForDisplay(int _sqlType, Object value);
	
}
