package it.pf.scheduler;

/**
 * rappresenta un task da schedulare in una thread separata
 * @author Fabbri_P
 *
 */
public class ScheduledThreadedTask extends ScheduledTask {

	/**
	 * costruttore: interfaccia cmd e array di parametri
	 * @param cmd
	 * @param args
	 */
    public ScheduledThreadedTask(Command cmd,String[] args) {
    	super(cmd,args);
    }

	/**
	 * implementazione del metodo di Interfaccia "Command"
	 * eseguito in un thread separato
	 */
    public void run() {
        Thread thread = new Thread() {
			public void run() {
				cmd.run(args);
            }
        };

        thread.start();
    }
}
