package it.pf.utils;

import java.math.*;
/**
 * mostra su sysout il progresso del processo dati in input 
 * l'elemento corrente e il numero totale di elementi in elaborazione
 * @author paolo
 *
 */
public class Progress {

	private static long p2show[] = {(long)10,(long)20,(long)30,(long)40,(long)50,(long)60,(long)70,(long)80,(long)90,(long)100};
	private static boolean showed[] = {false,false,false,false,false,false,false,false,false,false};
	
	public static void show(long current, long max) {
		float perc = ((float)current/(float)max) * (float)100;
		BigDecimal p = new BigDecimal(perc);
		BigInteger pi = p.toBigInteger();
		if (lookup(pi.longValue())) {
			System.out.print(pi.toString()+"%");
		}
		return;
	}
	
	private static boolean lookup(long value) {
		for (int i=0; i<p2show.length;i++) {
			if (value == p2show[i] && !showed[i]) {
				showed[i] = true;
				return true;
			}
		}
		return false;
	}
}
 